package org.kie.kogito.examples;

public class Processes implements org.kie.kogito.process.Processes {

    private final Application application;

    public Processes(Application application) {
        this.application = application;
    }

    public org.kie.kogito.process.Process<? extends org.kie.kogito.Model> processById(String processId) {
        if ("persons".equals(processId))
            return new org.kie.kogito.examples.demo.PersonsProcess(application).configure();
        if ("demo.orderItems".equals(processId))
            return new org.kie.kogito.examples.OrderItemsProcess(application).configure();
        if ("demo.orders".equals(processId))
            return new org.kie.kogito.examples.OrdersProcess(application).configure();
        return null;
    }

    public java.util.Collection<String> processIds() {
        return java.util.Arrays.asList("persons", "demo.orderItems", "demo.orders");
    }
}
