package org.kie.kogito.examples;

import java.util.Map;
import java.util.HashMap;

public class OrderItemsModelOutput implements org.kie.kogito.Model {

    private String id;

    public void setId(String id) {
        this.id = id;
    }

    public String getId() {
        return this.id;
    }

    @Override
    public Map<String, Object> toMap() {
        Map<String, Object> params = new HashMap();
        params.put("item", this.item);
        params.put("order", this.order);
        return params;
    }

    @Override
    public void fromMap(Map<String, Object> params) {
        fromMap(null, params);
    }

    public void fromMap(String id, Map<String, Object> params) {
        this.id = id;
        this.item = (java.lang.String) params.get("item");
        this.order = (org.kie.kogito.examples.demo.Order) params.get("order");
    }

    @org.kie.internal.kogito.codegen.VariableInfo(tags = "")
    @com.fasterxml.jackson.annotation.JsonProperty(value = "item")
    @javax.validation.Valid()
    private java.lang.String item;

    public java.lang.String getItem() {
        return item;
    }

    public void setItem(java.lang.String item) {
        this.item = item;
    }

    @org.kie.internal.kogito.codegen.VariableInfo(tags = "")
    @com.fasterxml.jackson.annotation.JsonProperty(value = "order")
    @javax.validation.Valid()
    private org.kie.kogito.examples.demo.Order order;

    public org.kie.kogito.examples.demo.Order getOrder() {
        return order;
    }

    public void setOrder(org.kie.kogito.examples.demo.Order order) {
        this.order = order;
    }
}
